com.hazelcast.config

## Class Config

- java.lang.Object
- - com.hazelcast.config.Config

- Direct Known Subclasses:
    ClasspathXmlConfig, ClasspathYamlConfig, FileSystemXmlConfig, FileSystemYamlConfig, InMemoryXmlConfig, InMemoryYamlConfig, UrlXmlConfig, UrlYamlConfig

      public class Config
      extends Object

  Contains all the configuration to start a `HazelcastInstance`. A Config can be created programmatically, but can also be configured using XML, see `XmlConfigBuilder`.

  Config instances can be shared between threads, but should not be modified after they are used to create HazelcastInstances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config()`
    `Config(String instanceName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Config` | `addAtomicLongConfig(AtomicLongConfig atomicLongConfig)` Adds the AtomicLong configuration.
    `Config` | `addAtomicReferenceConfig(AtomicReferenceConfig atomicReferenceConfig)` Adds the AtomicReference configuration.
    `Config` | `addCacheConfig(CacheSimpleConfig cacheConfig)` Adds the cache configuration.
    `Config` | `addCardinalityEstimatorConfig(CardinalityEstimatorConfig cardinalityEstimatorConfig)` Adds the cardinality estimator configuration.
    `Config` | `addCountDownLatchConfig(CountDownLatchConfig countDownLatchConfig)` Adds the CountDownLatch configuration.
    `Config` | `addDurableExecutorConfig(DurableExecutorConfig durableExecutorConfig)` Adds the durable executor configuration.
    `Config` | `addEventJournalConfig(EventJournalConfig eventJournalConfig)` Adds the event journal configuration.
    `Config` | `addExecutorConfig(ExecutorConfig executorConfig)` Adds the executor configuration.
    `Config` | `addFlakeIdGeneratorConfig(FlakeIdGeneratorConfig config)` Adds a flake ID generator configuration.
    `Config` | `addJobTrackerConfig(JobTrackerConfig jobTrackerConfig)` Adds the `JobTracker` configuration.
    `Config` | `addListConfig(ListConfig listConfig)` Adds the list configuration.
    `Config` | `addListenerConfig(ListenerConfig listenerConfig)` Adds a configuration for an `EventListener`.
    `Config` | `addLockConfig(LockConfig lockConfig)` Adds the lock configuration.
    `Config` | `addMapConfig(MapConfig mapConfig)` Adds the map configuration.
    `Config` | `addMerkleTreeConfig(MerkleTreeConfig merkleTreeConfig)` Adds the merkle tree configuration.
    `Config` | `addMultiMapConfig(MultiMapConfig multiMapConfig)` Adds the multimap configuration.
    `Config` | `addPNCounterConfig(PNCounterConfig pnCounterConfig)` Adds the PN counter configuration.
    `Config` | `addQueueConfig(QueueConfig queueConfig)` Adds the queue configuration.
    `Config` | `addQuorumConfig(QuorumConfig quorumConfig)` Adds the split-brain protection configuration.
    `Config` | `addReliableTopicConfig(ReliableTopicConfig topicConfig)` Adds the reliable topic configuration.
    `Config` | `addReplicatedMapConfig(ReplicatedMapConfig replicatedMapConfig)` Adds the replicated map configuration.
    `Config` | `addRingBufferConfig(RingbufferConfig ringbufferConfig)` Adds the ringbuffer configuration.
    `Config` | `addScheduledExecutorConfig(ScheduledExecutorConfig scheduledExecutorConfig)` Adds the scheduled executor configuration.
    `Config` | `addSemaphoreConfig(SemaphoreConfig semaphoreConfig)` Adds the `ISemaphore` configuration.
    `Config` | `addSetConfig(SetConfig setConfig)` Adds the set configuration.
    `Config` | `addTopicConfig(TopicConfig topicConfig)` Adds the topic configuration.
    `Config` | `addWanReplicationConfig(WanReplicationConfig wanReplicationConfig)` Adds the WAN replication config under the name defined by `WanReplicationConfig.getName()`.
    `AtomicLongConfig` | `findAtomicLongConfig(String name)` Returns a read-only AtomicLong configuration for the given name.
    `AtomicReferenceConfig` | `findAtomicReferenceConfig(String name)` Returns a read-only AtomicReference configuration for the given name.
    `CacheSimpleConfig` | `findCacheConfig(String name)` Returns a read-only `CacheSimpleConfig` configuration for the given name.
    `CacheSimpleConfig` | `findCacheConfigOrNull(String name)` Returns the cache config with the given name or `null` if there is none.
    `EventJournalConfig` | `findCacheEventJournalConfig(String name)` Returns a read-only cache `EventJournal` configuration for the given name.
    `CardinalityEstimatorConfig` | `findCardinalityEstimatorConfig(String name)` Returns a read-only `CardinalityEstimator` configuration for the given name.
    `CountDownLatchConfig` | `findCountDownLatchConfig(String name)` Returns a read-only CountDownLatch configuration for the given name.
    `DurableExecutorConfig` | `findDurableExecutorConfig(String name)` Returns a read-only durable executor configuration for the given name.
    `ExecutorConfig` | `findExecutorConfig(String name)` Returns a read-only executor configuration for the given name.
    `FlakeIdGeneratorConfig` | `findFlakeIdGeneratorConfig(String name)` Returns a `FlakeIdGeneratorConfig` configuration for the given flake ID generator name.
    `JobTrackerConfig` | `findJobTrackerConfig(String name)` Returns a read-only `JobTracker` configuration for the given name.
    `ListConfig` | `findListConfig(String name)` Returns a read-only `IList` configuration for the given name.
    `LockConfig` | `findLockConfig(String name)` Returns a read-only `ILock` configuration for the given name.
    `MapConfig` | `findMapConfig(String name)` Returns a read-only `IMap` configuration for the given name.
    `EventJournalConfig` | `findMapEventJournalConfig(String name)` Returns a read-only map `EventJournal` configuration for the given name.
    `MerkleTreeConfig` | `findMapMerkleTreeConfig(String name)` Returns a read-only map `MerkleTreeConfig` for the given name.
    `MultiMapConfig` | `findMultiMapConfig(String name)` Returns a read-only `MultiMap` configuration for the given name.
    `PNCounterConfig` | `findPNCounterConfig(String name)` Returns a read-only `PNCounterConfig` configuration for the given name.
    `QueueConfig` | `findQueueConfig(String name)` Returns a read-only `IQueue` configuration for the given name.
    `QuorumConfig` | `findQuorumConfig(String name)` Returns a read-only split-brain protection configuration for the given name.
    `ReliableTopicConfig` | `findReliableTopicConfig(String name)` Returns a read-only reliable topic configuration for the given name.
    `ReplicatedMapConfig` | `findReplicatedMapConfig(String name)` Returns a read-only `ReplicatedMap` configuration for the given name.
    `RingbufferConfig` | `findRingbufferConfig(String name)` Returns a read-only `Ringbuffer` configuration for the given name.
    `ScheduledExecutorConfig` | `findScheduledExecutorConfig(String name)` Returns a read-only scheduled executor configuration for the given name.
    `SemaphoreConfig` | `findSemaphoreConfig(String name)` Returns a read-only `ISemaphore` configuration for the given name.
    `SetConfig` | `findSetConfig(String name)` Returns a read-only `ISet` configuration for the given name.
    `TopicConfig` | `findTopicConfig(String name)` Returns a read-only `ITopic` configuration for the given name.
    `AdvancedNetworkConfig` | `getAdvancedNetworkConfig()`
    `AtomicLongConfig` | `getAtomicLongConfig(String name)` Returns the AtomicLongConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,AtomicLongConfig>` | `getAtomicLongConfigs()` Returns the map of AtomicLong configurations, mapped by config name.
    `AtomicReferenceConfig` | `getAtomicReferenceConfig(String name)` Returns the AtomicReferenceConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,AtomicReferenceConfig>` | `getAtomicReferenceConfigs()` Returns the map of AtomicReference configurations, mapped by config name.
    `CacheSimpleConfig` | `getCacheConfig(String name)` Returns the CacheSimpleConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,CacheSimpleConfig>` | `getCacheConfigs()` Returns the map of cache configurations, mapped by config name.
    `EventJournalConfig` | `getCacheEventJournalConfig(String name)` Returns the cache event journal config for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,EventJournalConfig>` | `getCacheEventJournalConfigs()` Returns the map of cache event journal configurations, mapped by config name.
    `CardinalityEstimatorConfig` | `getCardinalityEstimatorConfig(String name)` Returns the CardinalityEstimatorConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,CardinalityEstimatorConfig>` | `getCardinalityEstimatorConfigs()` Returns the map of cardinality estimator configurations, mapped by config name.
    `ClassLoader` | `getClassLoader()` Returns the class-loader that will be used in serialization.
    `ConfigPatternMatcher` | `getConfigPatternMatcher()` Returns the pattern matcher which is used to match item names to configuration objects.
    `File` | `getConfigurationFile()` Returns the `File` to the declarative configuration, which has been parsed to create this `Config` instance.
    `URL` | `getConfigurationUrl()` Returns the `URL` to the declarative configuration, which has been parsed to create this `Config` instance.
    `CountDownLatchConfig` | `getCountDownLatchConfig(String name)` Returns the CountDownLatchConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,CountDownLatchConfig>` | `getCountDownLatchConfigs()` Returns the map of CountDownLatch configurations, mapped by config name.
    `CPSubsystemConfig` | `getCPSubsystemConfig()` Get current configuration for the CP subsystem
    `CRDTReplicationConfig` | `getCRDTReplicationConfig()`
    `DurableExecutorConfig` | `getDurableExecutorConfig(String name)` Returns the DurableExecutorConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,DurableExecutorConfig>` | `getDurableExecutorConfigs()` Returns the map of durable executor configurations, mapped by config name.
    `ExecutorConfig` | `getExecutorConfig(String name)` Returns the ExecutorConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,ExecutorConfig>` | `getExecutorConfigs()` Returns the map of executor configurations, mapped by config name.
    `FlakeIdGeneratorConfig` | `getFlakeIdGeneratorConfig(String name)` Returns the `FlakeIdGeneratorConfig` for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,FlakeIdGeneratorConfig>` | `getFlakeIdGeneratorConfigs()` Returns the map of `FlakeIdGenerator` configurations, mapped by config name.
    `GroupConfig` | `getGroupConfig()` Returns the configuration for hazelcast groups.
    `HotRestartPersistenceConfig` | `getHotRestartPersistenceConfig()` Returns the Hot Restart configuration for this hazelcast instance
    `String` | `getInstanceName()` Returns the instance name uniquely identifying the hazelcast instance created by this configuration.
    `JobTrackerConfig` | `getJobTrackerConfig(String name)` Returns the JobTrackerConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,JobTrackerConfig>` | `getJobTrackerConfigs()` Returns the map of `JobTracker` configurations, mapped by config name.
    `String` | `getLicenseKey()` Returns the license key for this hazelcast instance.
    `ListConfig` | `getListConfig(String name)` Returns the ListConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,ListConfig>` | `getListConfigs()` Returns the map of `IList` configurations, mapped by config name.
    `List<ListenerConfig>` | `getListenerConfigs()` Returns the list of `EventListener` configurations.
    `LockConfig` | `getLockConfig(String name)` Returns the LockConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,LockConfig>` | `getLockConfigs()` Returns the map of `ILock` configurations, mapped by config name.
    `ManagedContext` | `getManagedContext()` Returns the external managed context.
    `ManagementCenterConfig` | `getManagementCenterConfig()` Returns the management center configuration for this hazelcast instance.
    `MapConfig` | `getMapConfig(String name)` Returns the MapConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `MapConfig` | `getMapConfigOrNull(String name)` Returns the map config with the given name or `null` if there is none.
    `Map<String,MapConfig>` | `getMapConfigs()` Returns the map of `IMap` configurations, mapped by config name.
    `EventJournalConfig` | `getMapEventJournalConfig(String name)` Returns the map event journal config for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,EventJournalConfig>` | `getMapEventJournalConfigs()` Returns the map of map event journal configurations, mapped by config name.
    `MerkleTreeConfig` | `getMapMerkleTreeConfig(String name)` Returns the map merkle tree config for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,MerkleTreeConfig>` | `getMapMerkleTreeConfigs()` Returns the map of map merkle tree configurations, mapped by config name.
    `MemberAttributeConfig` | `getMemberAttributeConfig()` Returns the member attribute configuration.
    `MultiMapConfig` | `getMultiMapConfig(String name)` Returns the MultiMapConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,MultiMapConfig>` | `getMultiMapConfigs()` Returns the map of `MultiMap` configurations, mapped by config name.
    `NativeMemoryConfig` | `getNativeMemoryConfig()` Returns the native memory configuration for this hazelcast instance.
    `NetworkConfig` | `getNetworkConfig()` Returns the network configuration for this hazelcast instance.
    `PartitionGroupConfig` | `getPartitionGroupConfig()` Returns the partition group configuration for this hazelcast instance.
    `PNCounterConfig` | `getPNCounterConfig(String name)` Returns the `PNCounterConfig` for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,PNCounterConfig>` | `getPNCounterConfigs()` Returns the map of PN counter configurations, mapped by config name.
    `Properties` | `getProperties()` Returns the properties set on this config instance.
    `String` | `getProperty(String name)` Returns the value for a named property.
    `QueueConfig` | `getQueueConfig(String name)` Returns the QueueConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,QueueConfig>` | `getQueueConfigs()` Returns the map of `IQueue` configurations, mapped by config name.
    `QuorumConfig` | `getQuorumConfig(String name)` Returns the QuorumConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,QuorumConfig>` | `getQuorumConfigs()` Returns the map of split brain protection configurations, mapped by config name.
    `ReliableTopicConfig` | `getReliableTopicConfig(String name)` Returns the ReliableTopicConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,ReliableTopicConfig>` | `getReliableTopicConfigs()` Returns the map of reliable topic configurations, mapped by config name.
    `ReplicatedMapConfig` | `getReplicatedMapConfig(String name)` Returns the ReplicatedMapConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,ReplicatedMapConfig>` | `getReplicatedMapConfigs()` Returns the map of `ReplicatedMap` configurations, mapped by config name.
    `RingbufferConfig` | `getRingbufferConfig(String name)` Returns the RingbufferConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,RingbufferConfig>` | `getRingbufferConfigs()` Returns the map of `Ringbuffer` configurations, mapped by config name.
    `ScheduledExecutorConfig` | `getScheduledExecutorConfig(String name)` Returns the ScheduledExecutorConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,ScheduledExecutorConfig>` | `getScheduledExecutorConfigs()` Returns the map of scheduled executor configurations, mapped by config name.
    `SecurityConfig` | `getSecurityConfig()` Returns the security configuration for this hazelcast instance.
    `SemaphoreConfig` | `getSemaphoreConfig(String name)` Returns the SemaphoreConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Collection<SemaphoreConfig>` | `getSemaphoreConfigs()` Returns the collection of `ISemaphore` configs added to this config object.
    `Map<String,SemaphoreConfig>` | `getSemaphoreConfigsAsMap()` Returns the map of `ISemaphore` configurations, mapped by config name.
    `SerializationConfig` | `getSerializationConfig()` Returns the serialization configuration for this hazelcast instance.
    `ServicesConfig` | `getServicesConfig()` Returns the configuration for the user services managed by this hazelcast instance.
    `SetConfig` | `getSetConfig(String name)` Returns the SetConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,SetConfig>` | `getSetConfigs()` Returns the map of `ISet` configurations, mapped by config name.
    `TopicConfig` | `getTopicConfig(String name)` Returns the TopicConfig for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,TopicConfig>` | `getTopicConfigs()` Returns the map of reliable topic configurations, mapped by config name.
    `UserCodeDeploymentConfig` | `getUserCodeDeploymentConfig()` Get current configuration of User Code Deployment.
    `ConcurrentMap<String,Object>` | `getUserContext()` Returns the user supplied context.
    `WanReplicationConfig` | `getWanReplicationConfig(String name)` Returns the WAN replication configuration with the given `name`.
    `Map<String,WanReplicationConfig>` | `getWanReplicationConfigs()` Returns the map of WAN replication configurations, mapped by config name.
    `boolean` | `isLiteMember()` Returns `true` if this member is a lite member.
    `Config` | `setAdvancedNetworkConfig(AdvancedNetworkConfig advancedNetworkConfig)`
    `Config` | `setAtomicLongConfigs(Map<String,AtomicLongConfig> atomicLongConfigs)` Sets the map of AtomicLong configurations, mapped by config name.
    `Config` | `setAtomicReferenceConfigs(Map<String,AtomicReferenceConfig> atomicReferenceConfigs)` Sets the map of AtomicReference configurations, mapped by config name.
    `Config` | `setCacheConfigs(Map<String,CacheSimpleConfig> cacheConfigs)` Sets the map of cache configurations, mapped by config name.
    `Config` | `setCacheEventJournalConfigs(Map<String,EventJournalConfig> eventJournalConfigs)` Sets the map of cache event journal configurations, mapped by config name.
    `Config` | `setCardinalityEstimatorConfigs(Map<String,CardinalityEstimatorConfig> cardinalityEstimatorConfigs)` Sets the map of cardinality estimator configurations, mapped by config name.
    `Config` | `setClassLoader(ClassLoader classLoader)` Sets the class-loader to be used during de-serialization and as context class-loader of Hazelcast internal threads.
    `void` | `setConfigPatternMatcher(ConfigPatternMatcher configPatternMatcher)` Sets the pattern matcher which is used to match item names to configuration objects.
    `Config` | `setConfigurationFile(File configurationFile)` Sets the `File` from which this configuration has been retrieved and created.
    `Config` | `setConfigurationUrl(URL configurationUrl)` Sets the `URL` from which this configuration has been retrieved and created.
    `Config` | `setCountDownLatchConfigs(Map<String,CountDownLatchConfig> countDownLatchConfigs)` Sets the map of CountDownLatch configurations, mapped by config name.
    `Config` | `setCPSubsystemConfig(CPSubsystemConfig cpSubsystemConfig)` Set CP subsystem configuration
    `Config` | `setCRDTReplicationConfig(CRDTReplicationConfig crdtReplicationConfig)` Sets the replication configuration for `CRDT` implementations.
    `Config` | `setDurableExecutorConfigs(Map<String,DurableExecutorConfig> durableExecutorConfigs)` Sets the map of durable executor configurations, mapped by config name.
    `Config` | `setExecutorConfigs(Map<String,ExecutorConfig> executorConfigs)` Sets the map of executor configurations, mapped by config name.
    `Config` | `setFlakeIdGeneratorConfigs(Map<String,FlakeIdGeneratorConfig> map)` Sets the map of `FlakeIdGenerator` configurations, mapped by config name.
    `Config` | `setGroupConfig(GroupConfig groupConfig)` Sets the configuration for hazelcast groups.
    `Config` | `setHotRestartPersistenceConfig(HotRestartPersistenceConfig hrConfig)` Sets the Hot Restart configuration.
    `Config` | `setInstanceName(String instanceName)` Sets the instance name uniquely identifying the hazelcast instance created by this configuration.
    `Config` | `setJobTrackerConfigs(Map<String,JobTrackerConfig> jobTrackerConfigs)` Sets the map of job tracker configurations, mapped by config name.
    `Config` | `setLicenseKey(String licenseKey)` Sets the license key for this hazelcast instance.
    `Config` | `setListConfigs(Map<String,ListConfig> listConfigs)` Sets the map of `IList` configurations, mapped by config name.
    `Config` | `setListenerConfigs(List<ListenerConfig> listenerConfigs)` Sets the list of `EventListener` configurations.
    `Config` | `setLiteMember(boolean liteMember)` Sets the flag to indicate if this member is a lite member.
    `Config` | `setLockConfigs(Map<String,LockConfig> lockConfigs)` Sets the map of `ILock` configurations, mapped by config name.
    `Config` | `setManagedContext(ManagedContext managedContext)` Sets the external managed context.
    `Config` | `setManagementCenterConfig(ManagementCenterConfig managementCenterConfig)` Sets the management center configuration for this hazelcast instance.
    `Config` | `setMapConfigs(Map<String,MapConfig> mapConfigs)` Sets the map of `IMap` configurations, mapped by config name.
    `Config` | `setMapEventJournalConfigs(Map<String,EventJournalConfig> eventJournalConfigs)` Sets the map of map event journal configurations, mapped by config name.
    `Config` | `setMapMerkleTreeConfigs(Map<String,MerkleTreeConfig> merkleTreeConfigs)` Sets the map of map merkle configurations, mapped by config name.
    `void` | `setMemberAttributeConfig(MemberAttributeConfig memberAttributeConfig)` Sets the member attribute configuration.
    `Config` | `setMultiMapConfigs(Map<String,MultiMapConfig> multiMapConfigs)` Sets the map of `MultiMap` configurations, mapped by config name.
    `Config` | `setNativeMemoryConfig(NativeMemoryConfig nativeMemoryConfig)` Sets the native memory configuration for this hazelcast instance.
    `Config` | `setNetworkConfig(NetworkConfig networkConfig)` Sets the network configuration for this hazelcast instance.
    `Config` | `setPartitionGroupConfig(PartitionGroupConfig partitionGroupConfig)` Sets the partition group configuration for this hazelcast instance.
    `Config` | `setPNCounterConfigs(Map<String,PNCounterConfig> pnCounterConfigs)` Sets the map of PN counter configurations, mapped by config name.
    `Config` | `setProperties(Properties properties)` Sets the properties for this config instance.
    `Config` | `setProperty(String name, String value)` Sets the value of a named property.
    `Config` | `setQueueConfigs(Map<String,QueueConfig> queueConfigs)` Sets the map of `IQueue` configurations, mapped by config name.
    `Config` | `setQuorumConfigs(Map<String,QuorumConfig> quorumConfigs)` Sets the map of split-brain protection configurations, mapped by config name.
    `Config` | `setReliableTopicConfigs(Map<String,ReliableTopicConfig> reliableTopicConfigs)` Sets the map of reliable topic configurations, mapped by config name.
    `Config` | `setReplicatedMapConfigs(Map<String,ReplicatedMapConfig> replicatedMapConfigs)` Sets the map of `ReplicatedMap` configurations, mapped by config name.
    `Config` | `setRingbufferConfigs(Map<String,RingbufferConfig> ringbufferConfigs)` Sets the map of `Ringbuffer` configurations, mapped by config name.
    `Config` | `setScheduledExecutorConfigs(Map<String,ScheduledExecutorConfig> scheduledExecutorConfigs)` Sets the map of scheduled executor configurations, mapped by config name.
    `Config` | `setSecurityConfig(SecurityConfig securityConfig)` Sets the security configuration for this hazelcast instance.
    `Config` | `setSemaphoreConfigs(Map<String,SemaphoreConfig> semaphoreConfigs)` Sets the map of semaphore configurations, mapped by config name.
    `Config` | `setSerializationConfig(SerializationConfig serializationConfig)` Sets the serialization configuration for this hazelcast instance.
    `Config` | `setServicesConfig(ServicesConfig servicesConfig)` Sets the configuration for the user services managed by this hazelcast instance.
    `Config` | `setSetConfigs(Map<String,SetConfig> setConfigs)` Sets the map of `ISet` configurations, mapped by config name.
    `Config` | `setTopicConfigs(Map<String,TopicConfig> topicConfigs)` Sets the map of `ITopic` configurations, mapped by config name.
    `Config` | `setUserCodeDeploymentConfig(UserCodeDeploymentConfig userCodeDeploymentConfig)` Set User Code Deployment configuration
    `Config` | `setUserContext(ConcurrentMap<String,Object> userContext)` Sets the user supplied context.
    `Config` | `setWanReplicationConfigs(Map<String,WanReplicationConfig> wanReplicationConfigs)` Sets the map of WAN replication configurations, mapped by config name.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config()

    - #### Config

          public Config(String instanceName)

  - ### Method Detail

    - #### getClassLoader

          public ClassLoader getClassLoader()

      Returns the class-loader that will be used in serialization.

      If `null`, then thread context class-loader will be used instead.

      Returns:
        the class-loader

    - #### setClassLoader

          public Config setClassLoader(ClassLoader classLoader)

      Sets the class-loader to be used during de-serialization and as context class-loader of Hazelcast internal threads.

      If not set (or set to `null`); thread context class-loader will be used in required places.

      Default value is `null`.

      Parameters:
        `classLoader` - class-loader to be used during de-serialization
      Returns:
        Config instance

    - #### getConfigPatternMatcher

          public ConfigPatternMatcher getConfigPatternMatcher()

      Returns the pattern matcher which is used to match item names to configuration objects. By default the `MatchingPointConfigPatternMatcher` is used.
      Returns:
        the pattern matcher

    - #### setConfigPatternMatcher

          public void setConfigPatternMatcher(ConfigPatternMatcher configPatternMatcher)

      Sets the pattern matcher which is used to match item names to configuration objects. By default the `MatchingPointConfigPatternMatcher` is used.
      Parameters:
        `configPatternMatcher` - the pattern matcher
      Throws:
        `IllegalArgumentException` - if the pattern matcher is `null`

    - #### getProperty

          public String getProperty(String name)

      Returns the value for a named property. If it has not been previously set, it will try to get the value from the system properties.
      Parameters:
        `name` - property name
      Returns:
        property value
      See Also:
        `setProperty(String, String)`, Hazelcast System Properties

    - #### setProperty

          public Config setProperty(String name,
                                    String value)

      Sets the value of a named property.
      Parameters:
        `name` - property name
        `value` - value of the property
      Returns:
        this config instance
      See Also:
        Hazelcast System Properties

    - #### getMemberAttributeConfig

          public MemberAttributeConfig getMemberAttributeConfig()

      Returns the member attribute configuration. Unlike the config properties (see `setProperties(Properties)`), member attributes are exchanged with other members, e.g. on membership events.
      Returns:
        the member attribute configuration

    - #### setMemberAttributeConfig

          public void setMemberAttributeConfig(MemberAttributeConfig memberAttributeConfig)

      Sets the member attribute configuration. Unlike the config properties (see `setProperties(Properties)`), member attributes are exchanged with other members, e.g. on membership events.
      Parameters:
        `memberAttributeConfig` - the member attribute configuration

    - #### getProperties

          public Properties getProperties()

      Returns the properties set on this config instance. These properties are specific to this config and this hazelcast instance.
      Returns:
        the config properties

    - #### setProperties

          public Config setProperties(Properties properties)

      Sets the properties for this config instance. These properties are specific to this config and this hazelcast instance.
      Parameters:
        `properties` - the config properties
      Returns:
        this config instance

    - #### getInstanceName

          public String getInstanceName()

      Returns the instance name uniquely identifying the hazelcast instance created by this configuration. This name is used in different scenarios, such as identifying the hazelcast instance when running multiple instances in the same JVM.
      Returns:
        the hazelcast instance name

    - #### setInstanceName

          public Config setInstanceName(String instanceName)

      Sets the instance name uniquely identifying the hazelcast instance created by this configuration. This name is used in different scenarios, such as identifying the hazelcast instance when running multiple instances in the same JVM.
      Parameters:
        `instanceName` - the hazelcast instance name
      Returns:
        this config instance

    - #### getGroupConfig

          public GroupConfig getGroupConfig()

      Returns the configuration for hazelcast groups. Members of a cluster must share the same group configuration. Other instances that are reachable but don't have the same group configuration will form independent clusters.
      Returns:
        the hazelcast group configuration

    - #### setGroupConfig

          public Config setGroupConfig(GroupConfig groupConfig)

      Sets the configuration for hazelcast groups. Members of a cluster must share the same group configuration. Other instances that are reachable but don't have the same group configuration will form independent clusters.
      Parameters:
        `groupConfig` - the hazelcast group configuration
      Returns:
        this config instance

    - #### getNetworkConfig

          public NetworkConfig getNetworkConfig()

      Returns the network configuration for this hazelcast instance. The network configuration defines how a member will interact with other members or clients.
      Returns:
        the network configuration

    - #### setNetworkConfig

          public Config setNetworkConfig(NetworkConfig networkConfig)

      Sets the network configuration for this hazelcast instance. The network configuration defines how a member will interact with other members or clients.
      Parameters:
        `networkConfig` - the network configuration
      Returns:
        this config instance

    - #### findMapConfig

          public MapConfig findMapConfig(String name)

      Returns a read-only `IMap` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`. For non-default configurations and on-heap maps, it will also initialise the Near Cache eviction if not previously set.

      Parameters:
        `name` - name of the map config
      Returns:
        the map configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getMapConfigOrNull

          public MapConfig getMapConfigOrNull(String name)

      Returns the map config with the given name or `null` if there is none. The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`.
      Parameters:
        `name` - name of the map config
      Returns:
        the map configuration or `null` if none was found
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getMapConfig

          public MapConfig getMapConfig(String name)

      Returns the MapConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addMapConfig(MapConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the map config
      Returns:
        the map configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addMapConfig

          public Config addMapConfig(MapConfig mapConfig)

      Adds the map configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `mapConfig` - the map configuration
      Returns:
        this config instance

    - #### getMapConfigs

          public Map<String,MapConfig> getMapConfigs()

      Returns the map of `IMap` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the map configurations mapped by config name

    - #### setMapConfigs

          public Config setMapConfigs(Map<String,MapConfig> mapConfigs)

      Sets the map of `IMap` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `mapConfigs` - the IMap configuration map to set
      Returns:
        this config instance

    - #### findCacheConfig

          public CacheSimpleConfig findCacheConfig(String name)

      Returns a read-only `CacheSimpleConfig` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the cardinality estimator config
      Returns:
        the cache configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### findCacheConfigOrNull

          public CacheSimpleConfig findCacheConfigOrNull(String name)

      Returns the cache config with the given name or `null` if there is none. The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`.
      Parameters:
        `name` - name of the cache config
      Returns:
        the cache configuration or `null` if none was found
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getCacheConfig

          public CacheSimpleConfig getCacheConfig(String name)

      Returns the CacheSimpleConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addCacheConfig(CacheSimpleConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the cache config
      Returns:
        the cache configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addCacheConfig

          public Config addCacheConfig(CacheSimpleConfig cacheConfig)

      Adds the cache configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `cacheConfig` - the cache configuration
      Returns:
        this config instance

    - #### getCacheConfigs

          public Map<String,CacheSimpleConfig> getCacheConfigs()

      Returns the map of cache configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the cache configurations mapped by config name

    - #### setCacheConfigs

          public Config setCacheConfigs(Map<String,CacheSimpleConfig> cacheConfigs)

      Sets the map of cache configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Parameters:
        `cacheConfigs` - the cacheConfigs to set
      Returns:
        this config instance

    - #### findQueueConfig

          public QueueConfig findQueueConfig(String name)

      Returns a read-only `IQueue` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the queue config
      Returns:
        the queue configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getQueueConfig

          public QueueConfig getQueueConfig(String name)

      Returns the QueueConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addQueueConfig(QueueConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the queue config
      Returns:
        the queue configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addQueueConfig

          public Config addQueueConfig(QueueConfig queueConfig)

      Adds the queue configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `queueConfig` - the queue configuration
      Returns:
        this config instance

    - #### getQueueConfigs

          public Map<String,QueueConfig> getQueueConfigs()

      Returns the map of `IQueue` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the queue configurations mapped by config name

    - #### setQueueConfigs

          public Config setQueueConfigs(Map<String,QueueConfig> queueConfigs)

      Sets the map of `IQueue` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `queueConfigs` - the queue configuration map to set
      Returns:
        this config instance

    - #### findLockConfig

          public LockConfig findLockConfig(String name)

      Returns a read-only `ILock` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the lock config
      Returns:
        the lock configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getLockConfig

          public LockConfig getLockConfig(String name)

      Returns the LockConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addLockConfig(LockConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the lock config
      Returns:
        the lock configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addLockConfig

          public Config addLockConfig(LockConfig lockConfig)

      Adds the lock configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `lockConfig` - the lock configuration
      Returns:
        this config instance

    - #### getLockConfigs

          public Map<String,LockConfig> getLockConfigs()

      Returns the map of `ILock` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the lock configurations mapped by config name

    - #### setLockConfigs

          public Config setLockConfigs(Map<String,LockConfig> lockConfigs)

      Sets the map of `ILock` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `lockConfigs` - the ILock configuration map to set
      Returns:
        this config instance

    - #### findListConfig

          public ListConfig findListConfig(String name)

      Returns a read-only `IList` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the list config
      Returns:
        the list configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getListConfig

          public ListConfig getListConfig(String name)

      Returns the ListConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addListConfig(ListConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the list config
      Returns:
        the list configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addListConfig

          public Config addListConfig(ListConfig listConfig)

      Adds the list configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `listConfig` - the list configuration
      Returns:
        this config instance

    - #### getListConfigs

          public Map<String,ListConfig> getListConfigs()

      Returns the map of `IList` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the list configurations mapped by config name

    - #### setListConfigs

          public Config setListConfigs(Map<String,ListConfig> listConfigs)

      Sets the map of `IList` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `listConfigs` - the list configuration map to set
      Returns:
        this config instance

    - #### findSetConfig

          public SetConfig findSetConfig(String name)

      Returns a read-only `ISet` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the set config
      Returns:
        the set configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getSetConfig

          public SetConfig getSetConfig(String name)

      Returns the SetConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addSetConfig(SetConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the set config
      Returns:
        the set configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addSetConfig

          public Config addSetConfig(SetConfig setConfig)

      Adds the set configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `setConfig` - the set configuration
      Returns:
        this config instance

    - #### getSetConfigs

          public Map<String,SetConfig> getSetConfigs()

      Returns the map of `ISet` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the set configurations mapped by config name

    - #### setSetConfigs

          public Config setSetConfigs(Map<String,SetConfig> setConfigs)

      Sets the map of `ISet` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `setConfigs` - the set configuration map to set
      Returns:
        this config instance

    - #### findMultiMapConfig

          public MultiMapConfig findMultiMapConfig(String name)

      Returns a read-only `MultiMap` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the multimap config
      Returns:
        the multimap configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getMultiMapConfig

          public MultiMapConfig getMultiMapConfig(String name)

      Returns the MultiMapConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addMultiMapConfig(MultiMapConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the multimap config
      Returns:
        the multimap configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addMultiMapConfig

          public Config addMultiMapConfig(MultiMapConfig multiMapConfig)

      Adds the multimap configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `multiMapConfig` - the multimap configuration
      Returns:
        this config instance

    - #### getMultiMapConfigs

          public Map<String,MultiMapConfig> getMultiMapConfigs()

      Returns the map of `MultiMap` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the multimap configurations mapped by config name

    - #### setMultiMapConfigs

          public Config setMultiMapConfigs(Map<String,MultiMapConfig> multiMapConfigs)

      Sets the map of `MultiMap` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `multiMapConfigs` - the multimap configuration map to set
      Returns:
        this config instance

    - #### findReplicatedMapConfig

          public ReplicatedMapConfig findReplicatedMapConfig(String name)

      Returns a read-only `ReplicatedMap` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the replicated map config
      Returns:
        the replicated map configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getReplicatedMapConfig

          public ReplicatedMapConfig getReplicatedMapConfig(String name)

      Returns the ReplicatedMapConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addReplicatedMapConfig(ReplicatedMapConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the replicated map config
      Returns:
        the replicated map configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addReplicatedMapConfig

          public Config addReplicatedMapConfig(ReplicatedMapConfig replicatedMapConfig)

      Adds the replicated map configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `replicatedMapConfig` - the replicated map configuration
      Returns:
        this config instance

    - #### getReplicatedMapConfigs

          public Map<String,ReplicatedMapConfig> getReplicatedMapConfigs()

      Returns the map of `ReplicatedMap` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the replicate map configurations mapped by config name

    - #### setReplicatedMapConfigs

          public Config setReplicatedMapConfigs(Map<String,ReplicatedMapConfig> replicatedMapConfigs)

      Sets the map of `ReplicatedMap` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `replicatedMapConfigs` - the replicated map configuration map to set
      Returns:
        this config instance

    - #### findRingbufferConfig

          public RingbufferConfig findRingbufferConfig(String name)

      Returns a read-only `Ringbuffer` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the ringbuffer config
      Returns:
        the ringbuffer configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getRingbufferConfig

          public RingbufferConfig getRingbufferConfig(String name)

      Returns the RingbufferConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addRingBufferConfig(RingbufferConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the ringbuffer config
      Returns:
        the ringbuffer configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addRingBufferConfig

          public Config addRingBufferConfig(RingbufferConfig ringbufferConfig)

      Adds the ringbuffer configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `ringbufferConfig` - the ringbuffer configuration
      Returns:
        this config instance

    - #### getRingbufferConfigs

          public Map<String,RingbufferConfig> getRingbufferConfigs()

      Returns the map of `Ringbuffer` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the ringbuffer configurations mapped by config name

    - #### setRingbufferConfigs

          public Config setRingbufferConfigs(Map<String,RingbufferConfig> ringbufferConfigs)

      Sets the map of `Ringbuffer` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `ringbufferConfigs` - the ringbuffer configuration map to set
      Returns:
        this config instance

    - #### findAtomicLongConfig

          public AtomicLongConfig findAtomicLongConfig(String name)

      Returns a read-only AtomicLong configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the AtomicLong config
      Returns:
        the AtomicLong configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getAtomicLongConfig

          public AtomicLongConfig getAtomicLongConfig(String name)

      Returns the AtomicLongConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addAtomicLongConfig(AtomicLongConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the AtomicLong config
      Returns:
        the AtomicLong configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addAtomicLongConfig

          public Config addAtomicLongConfig(AtomicLongConfig atomicLongConfig)

      Adds the AtomicLong configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `atomicLongConfig` - the AtomicLong configuration
      Returns:
        this config instance

    - #### getAtomicLongConfigs

          public Map<String,AtomicLongConfig> getAtomicLongConfigs()

      Returns the map of AtomicLong configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the AtomicLong configurations mapped by config name

    - #### setAtomicLongConfigs

          public Config setAtomicLongConfigs(Map<String,AtomicLongConfig> atomicLongConfigs)

      Sets the map of AtomicLong configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `atomicLongConfigs` - the AtomicLong configuration map to set
      Returns:
        this config instance

    - #### findAtomicReferenceConfig

          public AtomicReferenceConfig findAtomicReferenceConfig(String name)

      Returns a read-only AtomicReference configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the AtomicReference config
      Returns:
        the AtomicReference configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getAtomicReferenceConfig

          public AtomicReferenceConfig getAtomicReferenceConfig(String name)

      Returns the AtomicReferenceConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addAtomicReferenceConfig(AtomicReferenceConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the AtomicReference config
      Returns:
        the AtomicReference configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addAtomicReferenceConfig

          public Config addAtomicReferenceConfig(AtomicReferenceConfig atomicReferenceConfig)

      Adds the AtomicReference configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `atomicReferenceConfig` - the AtomicReference configuration
      Returns:
        this config instance

    - #### getAtomicReferenceConfigs

          public Map<String,AtomicReferenceConfig> getAtomicReferenceConfigs()

      Returns the map of AtomicReference configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the AtomicReference configurations mapped by config name

    - #### setAtomicReferenceConfigs

          public Config setAtomicReferenceConfigs(Map<String,AtomicReferenceConfig> atomicReferenceConfigs)

      Sets the map of AtomicReference configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `atomicReferenceConfigs` - the AtomicReference configuration map to set
      Returns:
        this config instance

    - #### findCountDownLatchConfig

          public CountDownLatchConfig findCountDownLatchConfig(String name)

      Returns a read-only CountDownLatch configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the CountDownLatch config
      Returns:
        the CountDownLatch configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getCountDownLatchConfig

          public CountDownLatchConfig getCountDownLatchConfig(String name)

      Returns the CountDownLatchConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addCountDownLatchConfig(CountDownLatchConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the CountDownLatch config
      Returns:
        the CountDownLatch configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addCountDownLatchConfig

          public Config addCountDownLatchConfig(CountDownLatchConfig countDownLatchConfig)

      Adds the CountDownLatch configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `countDownLatchConfig` - the CountDownLatch configuration
      Returns:
        this config instance

    - #### getCountDownLatchConfigs

          public Map<String,CountDownLatchConfig> getCountDownLatchConfigs()

      Returns the map of CountDownLatch configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the CountDownLatch configurations mapped by config name

    - #### setCountDownLatchConfigs

          public Config setCountDownLatchConfigs(Map<String,CountDownLatchConfig> countDownLatchConfigs)

      Sets the map of CountDownLatch configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `countDownLatchConfigs` - the CountDownLatch configuration map to set
      Returns:
        this config instance

    - #### findTopicConfig

          public TopicConfig findTopicConfig(String name)

      Returns a read-only `ITopic` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the topic config
      Returns:
        the topic configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getTopicConfig

          public TopicConfig getTopicConfig(String name)

      Returns the TopicConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addTopicConfig(TopicConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the topic config
      Returns:
        the topic configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addTopicConfig

          public Config addTopicConfig(TopicConfig topicConfig)

      Adds the topic configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `topicConfig` - the topic configuration
      Returns:
        this config instance

    - #### findReliableTopicConfig

          public ReliableTopicConfig findReliableTopicConfig(String name)

      Returns a read-only reliable topic configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the reliable topic config
      Returns:
        the reliable topic configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getReliableTopicConfig

          public ReliableTopicConfig getReliableTopicConfig(String name)

      Returns the ReliableTopicConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addReliableTopicConfig(ReliableTopicConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the reliable topic config
      Returns:
        the reliable topic configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getReliableTopicConfigs

          public Map<String,ReliableTopicConfig> getReliableTopicConfigs()

      Returns the map of reliable topic configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the reliable topic configurations mapped by config name

    - #### addReliableTopicConfig

          public Config addReliableTopicConfig(ReliableTopicConfig topicConfig)

      Adds the reliable topic configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `topicConfig` - the reliable topic configuration
      Returns:
        this config instance

    - #### setReliableTopicConfigs

          public Config setReliableTopicConfigs(Map<String,ReliableTopicConfig> reliableTopicConfigs)

      Sets the map of reliable topic configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `reliableTopicConfigs` - the reliable topic configuration map to set
      Returns:
        this config instance

    - #### getTopicConfigs

          public Map<String,TopicConfig> getTopicConfigs()

      Returns the map of reliable topic configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the reliable topic configurations mapped by config name

    - #### setTopicConfigs

          public Config setTopicConfigs(Map<String,TopicConfig> topicConfigs)

      Sets the map of `ITopic` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `topicConfigs` - the topic configuration map to set
      Returns:
        this config instance

    - #### findExecutorConfig

          public ExecutorConfig findExecutorConfig(String name)

      Returns a read-only executor configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the executor config
      Returns:
        the executor configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### findDurableExecutorConfig

          public DurableExecutorConfig findDurableExecutorConfig(String name)

      Returns a read-only durable executor configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the durable executor config
      Returns:
        the durable executor configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### findScheduledExecutorConfig

          public ScheduledExecutorConfig findScheduledExecutorConfig(String name)

      Returns a read-only scheduled executor configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the scheduled executor config
      Returns:
        the scheduled executor configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### findCardinalityEstimatorConfig

          public CardinalityEstimatorConfig findCardinalityEstimatorConfig(String name)

      Returns a read-only `CardinalityEstimator` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the cardinality estimator config
      Returns:
        the cardinality estimator configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### findPNCounterConfig

          public PNCounterConfig findPNCounterConfig(String name)

      Returns a read-only `PNCounterConfig` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the PN counter config
      Returns:
        the PN counter configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getExecutorConfig

          public ExecutorConfig getExecutorConfig(String name)

      Returns the ExecutorConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addExecutorConfig(ExecutorConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the executor config
      Returns:
        the executor configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getDurableExecutorConfig

          public DurableExecutorConfig getDurableExecutorConfig(String name)

      Returns the DurableExecutorConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addDurableExecutorConfig(DurableExecutorConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the durable executor config
      Returns:
        the durable executor configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getScheduledExecutorConfig

          public ScheduledExecutorConfig getScheduledExecutorConfig(String name)

      Returns the ScheduledExecutorConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addScheduledExecutorConfig(ScheduledExecutorConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the scheduled executor config
      Returns:
        the scheduled executor configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getCardinalityEstimatorConfig

          public CardinalityEstimatorConfig getCardinalityEstimatorConfig(String name)

      Returns the CardinalityEstimatorConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addCardinalityEstimatorConfig(CardinalityEstimatorConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the cardinality estimator config
      Returns:
        the cardinality estimator configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getPNCounterConfig

          public PNCounterConfig getPNCounterConfig(String name)

      Returns the `PNCounterConfig` for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addPNCounterConfig(PNCounterConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the PN counter config
      Returns:
        the PN counter configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addExecutorConfig

          public Config addExecutorConfig(ExecutorConfig executorConfig)

      Adds the executor configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `executorConfig` - executor config to add
      Returns:
        this config instance

    - #### addDurableExecutorConfig

          public Config addDurableExecutorConfig(DurableExecutorConfig durableExecutorConfig)

      Adds the durable executor configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `durableExecutorConfig` - durable executor config to add
      Returns:
        this config instance

    - #### addScheduledExecutorConfig

          public Config addScheduledExecutorConfig(ScheduledExecutorConfig scheduledExecutorConfig)

      Adds the scheduled executor configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `scheduledExecutorConfig` - scheduled executor config to add
      Returns:
        this config instance

    - #### addCardinalityEstimatorConfig

          public Config addCardinalityEstimatorConfig(CardinalityEstimatorConfig cardinalityEstimatorConfig)

      Adds the cardinality estimator configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `cardinalityEstimatorConfig` - cardinality estimator config to add
      Returns:
        this config instance

    - #### addPNCounterConfig

          public Config addPNCounterConfig(PNCounterConfig pnCounterConfig)

      Adds the PN counter configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `pnCounterConfig` - PN counter config to add
      Returns:
        this config instance

    - #### getExecutorConfigs

          public Map<String,ExecutorConfig> getExecutorConfigs()

      Returns the map of executor configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the executor configurations mapped by config name

    - #### setExecutorConfigs

          public Config setExecutorConfigs(Map<String,ExecutorConfig> executorConfigs)

      Sets the map of executor configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `executorConfigs` - the executor configuration map to set
      Returns:
        this config instance

    - #### getDurableExecutorConfigs

          public Map<String,DurableExecutorConfig> getDurableExecutorConfigs()

      Returns the map of durable executor configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the durable executor configurations mapped by config name

    - #### setDurableExecutorConfigs

          public Config setDurableExecutorConfigs(Map<String,DurableExecutorConfig> durableExecutorConfigs)

      Sets the map of durable executor configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `durableExecutorConfigs` - the durable executor configuration map to set
      Returns:
        this config instance

    - #### getScheduledExecutorConfigs

          public Map<String,ScheduledExecutorConfig> getScheduledExecutorConfigs()

      Returns the map of scheduled executor configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the scheduled executor configurations mapped by config name

    - #### setScheduledExecutorConfigs

          public Config setScheduledExecutorConfigs(Map<String,ScheduledExecutorConfig> scheduledExecutorConfigs)

      Sets the map of scheduled executor configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `scheduledExecutorConfigs` - the scheduled executor configuration map to set
      Returns:
        this config instance

    - #### getCardinalityEstimatorConfigs

          public Map<String,CardinalityEstimatorConfig> getCardinalityEstimatorConfigs()

      Returns the map of cardinality estimator configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the cardinality estimator configurations mapped by config name

    - #### setCardinalityEstimatorConfigs

          public Config setCardinalityEstimatorConfigs(Map<String,CardinalityEstimatorConfig> cardinalityEstimatorConfigs)

      Sets the map of cardinality estimator configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `cardinalityEstimatorConfigs` - the cardinality estimator configuration map to set
      Returns:
        this config instance

    - #### getPNCounterConfigs

          public Map<String,PNCounterConfig> getPNCounterConfigs()

      Returns the map of PN counter configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the PN counter configurations mapped by config name

    - #### setPNCounterConfigs

          public Config setPNCounterConfigs(Map<String,PNCounterConfig> pnCounterConfigs)

      Sets the map of PN counter configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `pnCounterConfigs` - the PN counter configuration map to set
      Returns:
        this config instance

    - #### findSemaphoreConfig

          public SemaphoreConfig findSemaphoreConfig(String name)

      Returns a read-only `ISemaphore` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the semaphore config
      Returns:
        the semaphore configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getSemaphoreConfig

          public SemaphoreConfig getSemaphoreConfig(String name)

      Returns the SemaphoreConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addSemaphoreConfig(SemaphoreConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the semaphore config
      Returns:
        the semaphore configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addSemaphoreConfig

          public Config addSemaphoreConfig(SemaphoreConfig semaphoreConfig)

      Adds the `ISemaphore` configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `semaphoreConfig` - semaphoreConfig config to add
      Returns:
        this config instance

    - #### getSemaphoreConfigs

          public Collection<SemaphoreConfig> getSemaphoreConfigs()

      Returns the collection of `ISemaphore` configs added to this config object.
      Returns:
        semaphore configs

    - #### getSemaphoreConfigsAsMap

          public Map<String,SemaphoreConfig> getSemaphoreConfigsAsMap()

      Returns the map of `ISemaphore` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the semaphore configurations mapped by config name

    - #### setSemaphoreConfigs

          public Config setSemaphoreConfigs(Map<String,SemaphoreConfig> semaphoreConfigs)

      Sets the map of semaphore configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `semaphoreConfigs` - the semaphore configuration map to set
      Returns:
        this config instance

    - #### getWanReplicationConfig

          public WanReplicationConfig getWanReplicationConfig(String name)

      Returns the WAN replication configuration with the given `name`.
      Parameters:
        `name` - the WAN replication config name
      Returns:
        the WAN replication config

    - #### addWanReplicationConfig

          public Config addWanReplicationConfig(WanReplicationConfig wanReplicationConfig)

      Adds the WAN replication config under the name defined by `WanReplicationConfig.getName()`.
      Parameters:
        `wanReplicationConfig` - the WAN replication config
      Returns:
        this config instance

    - #### getWanReplicationConfigs

          public Map<String,WanReplicationConfig> getWanReplicationConfigs()

      Returns the map of WAN replication configurations, mapped by config name.
      Returns:
        the WAN replication configurations mapped by config name

    - #### setWanReplicationConfigs

          public Config setWanReplicationConfigs(Map<String,WanReplicationConfig> wanReplicationConfigs)

      Sets the map of WAN replication configurations, mapped by config name.
      Parameters:
        `wanReplicationConfigs` - the WAN replication configuration map to set
      Returns:
        this config instance

    - #### findJobTrackerConfig

          public JobTrackerConfig findJobTrackerConfig(String name)

      Returns a read-only `JobTracker` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the job tracker config
      Returns:
        the job tracker configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getJobTrackerConfig

          public JobTrackerConfig getJobTrackerConfig(String name)

      Returns the JobTrackerConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addJobTrackerConfig(JobTrackerConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the job tracker config
      Returns:
        the job tracker configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addJobTrackerConfig

          public Config addJobTrackerConfig(JobTrackerConfig jobTrackerConfig)

      Adds the `JobTracker` configuration. The configuration is saved under the config name defined by `JobTrackerConfig.getName()`.
      Parameters:
        `jobTrackerConfig` - semaphoreConfig config to add
      Returns:
        this config instance

    - #### getJobTrackerConfigs

          public Map<String,JobTrackerConfig> getJobTrackerConfigs()

      Returns the map of `JobTracker` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the WAN replication configurations mapped by config name

    - #### setJobTrackerConfigs

          public Config setJobTrackerConfigs(Map<String,JobTrackerConfig> jobTrackerConfigs)

      Sets the map of job tracker configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `jobTrackerConfigs` - the job tracker configuration map to set
      Returns:
        this config instance

    - #### getQuorumConfigs

          public Map<String,QuorumConfig> getQuorumConfigs()

      Returns the map of split brain protection configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the split-brain protection configurations mapped by config name

    - #### getQuorumConfig

          public QuorumConfig getQuorumConfig(String name)

      Returns the QuorumConfig for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addQuorumConfig(QuorumConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the split-brain protection config
      Returns:
        the split-brain protection configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### findQuorumConfig

          public QuorumConfig findQuorumConfig(String name)

      Returns a read-only split-brain protection configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the split-brain protection config
      Returns:
        the split-brain protection configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### setQuorumConfigs

          public Config setQuorumConfigs(Map<String,QuorumConfig> quorumConfigs)

      Sets the map of split-brain protection configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `quorumConfigs` - the split-brain protection configuration map to set
      Returns:
        this config instance

    - #### addQuorumConfig

          public Config addQuorumConfig(QuorumConfig quorumConfig)

      Adds the split-brain protection configuration. The configuration is saved under the config name defined by `QuorumConfig.getName()`.
      Parameters:
        `quorumConfig` - split-brain protection config to add
      Returns:
        this config instance

    - #### getManagementCenterConfig

          public ManagementCenterConfig getManagementCenterConfig()

      Returns the management center configuration for this hazelcast instance.
      Returns:
        the management center configuration

    - #### setManagementCenterConfig

          public Config setManagementCenterConfig(ManagementCenterConfig managementCenterConfig)

      Sets the management center configuration for this hazelcast instance.
      Parameters:
        `managementCenterConfig` - the management center configuration
      Returns:
        this config instance

    - #### getServicesConfig

          public ServicesConfig getServicesConfig()

      Returns the configuration for the user services managed by this hazelcast instance.
      Returns:
        the user services configuration

    - #### setServicesConfig

          public Config setServicesConfig(ServicesConfig servicesConfig)

      Sets the configuration for the user services managed by this hazelcast instance.
      Parameters:
        `servicesConfig` - the user services configuration
      Returns:
        this config instance

    - #### getSecurityConfig

          public SecurityConfig getSecurityConfig()

      Returns the security configuration for this hazelcast instance. This includes configuration for security interceptors, permissions, etc.
      Returns:
        the security configuration

    - #### setSecurityConfig

          public Config setSecurityConfig(SecurityConfig securityConfig)

      Sets the security configuration for this hazelcast instance. This includes configuration for security interceptors, permissions, etc.
      Parameters:
        `securityConfig` - the security configuration
      Returns:
        this config instance

    - #### addListenerConfig

          public Config addListenerConfig(ListenerConfig listenerConfig)

      Adds a configuration for an `EventListener`. This includes listeners for events related to this instance/member or the cluster, such as partition, migration, cluster version listeners, etc. but not listeners on specific distributed data structures.
      Parameters:
        `listenerConfig` - the listener configuration
      Returns:
        this config instance

    - #### getListenerConfigs

          public List<ListenerConfig> getListenerConfigs()

      Returns the list of `EventListener` configurations. This includes listeners for events related to this instance/member or the cluster, such as partition, migration, cluster version listeners, etc. but not listeners on specific distributed data structures.
      Returns:
        the listener configurations

    - #### setListenerConfigs

          public Config setListenerConfigs(List<ListenerConfig> listenerConfigs)

      Sets the list of `EventListener` configurations. This includes listeners for events related to this instance/member or the cluster, such as partition, migration, cluster version listeners, etc. but not listeners on specific distributed data structures.
      Parameters:
        `listenerConfigs` - the listener configurations
      Returns:
        this config instance

    - #### findMapEventJournalConfig

          public EventJournalConfig findMapEventJournalConfig(String name)

      Returns a read-only map `EventJournal` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the map event journal config
      Returns:
        the map event journal configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### findCacheEventJournalConfig

          public EventJournalConfig findCacheEventJournalConfig(String name)

      Returns a read-only cache `EventJournal` configuration for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the cache event journal config
      Returns:
        the cache event journal configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`, `EvictionConfig.setSize(int)`

    - #### getMapEventJournalConfig

          public EventJournalConfig getMapEventJournalConfig(String name)

      Returns the map event journal config for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      If there is no default config as well, it will create one and disable the event journal by default. This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addEventJournalConfig(EventJournalConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the map event journal config
      Returns:
        the map event journal configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getCacheEventJournalConfig

          public EventJournalConfig getCacheEventJournalConfig(String name)

      Returns the cache event journal config for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      If there is no default config as well, it will create one and disable the event journal by default. This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addEventJournalConfig(EventJournalConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the cache event journal config
      Returns:
        the cache event journal configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addEventJournalConfig

          public Config addEventJournalConfig(EventJournalConfig eventJournalConfig)

      Adds the event journal configuration. The configuration may apply to a map and/or cache. A non-empty value for `EventJournalConfig.getMapName()` means the configuration applies to maps and a non-empty value for `EventJournalConfig.getCacheName()` means the configuration applies to caches. The returned name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `eventJournalConfig` - the event journal configuration
      Returns:
        this config instance
      Throws:
        `IllegalArgumentException` - if the `EventJournalConfig.getMapName()` and `EventJournalConfig.getCacheName()` are both empty

    - #### findMapMerkleTreeConfig

          public MerkleTreeConfig findMapMerkleTreeConfig(String name)

      Returns a read-only map `MerkleTreeConfig` for the given name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `default`.

      Parameters:
        `name` - name of the map merkle tree config
      Returns:
        the map merkle tree configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getMapMerkleTreeConfig

          public MerkleTreeConfig getMapMerkleTreeConfig(String name)

      Returns the map merkle tree config for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      If there is no default config as well, it will create one and disable the merkle tree by default. This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addMerkleTreeConfig(MerkleTreeConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the map merkle tree config
      Returns:
        the map merkle tree configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addMerkleTreeConfig

          public Config addMerkleTreeConfig(MerkleTreeConfig merkleTreeConfig)

      Adds the merkle tree configuration. The returned `MerkleTreeConfig.getMapName()` may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `merkleTreeConfig` - the merkle tree configuration
      Returns:
        this config instance
      Throws:
        `IllegalArgumentException` - if the `MerkleTreeConfig.getMapName()` is empty

    - #### getFlakeIdGeneratorConfigs

          public Map<String,FlakeIdGeneratorConfig> getFlakeIdGeneratorConfigs()

      Returns the map of `FlakeIdGenerator` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the map configurations mapped by config name

    - #### findFlakeIdGeneratorConfig

          public FlakeIdGeneratorConfig findFlakeIdGeneratorConfig(String name)

      Returns a `FlakeIdGeneratorConfig` configuration for the given flake ID generator name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `"default"`.

      Parameters:
        `name` - name of the flake ID generator config
      Returns:
        the flake ID generator configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getFlakeIdGeneratorConfig

          public FlakeIdGeneratorConfig getFlakeIdGeneratorConfig(String name)

      Returns the `FlakeIdGeneratorConfig` for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addFlakeIdGeneratorConfig(FlakeIdGeneratorConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the flake ID generator config
      Returns:
        the cache configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addFlakeIdGeneratorConfig

          public Config addFlakeIdGeneratorConfig(FlakeIdGeneratorConfig config)

      Adds a flake ID generator configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `config` - the flake ID generator configuration
      Returns:
        this config instance

    - #### setFlakeIdGeneratorConfigs

          public Config setFlakeIdGeneratorConfigs(Map<String,FlakeIdGeneratorConfig> map)

      Sets the map of `FlakeIdGenerator` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `map` - the FlakeIdGenerator configuration map to set
      Returns:
        this config instance

    - #### getMapEventJournalConfigs

          public Map<String,EventJournalConfig> getMapEventJournalConfigs()

      Returns the map of map event journal configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the map event journal configurations mapped by config name

    - #### getCacheEventJournalConfigs

          public Map<String,EventJournalConfig> getCacheEventJournalConfigs()

      Returns the map of cache event journal configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the cache event journal configurations mapped by config name

    - #### setMapEventJournalConfigs

          public Config setMapEventJournalConfigs(Map<String,EventJournalConfig> eventJournalConfigs)

      Sets the map of map event journal configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `eventJournalConfigs` - the map event journal configuration map to set
      Returns:
        this config instance

    - #### setCacheEventJournalConfigs

          public Config setCacheEventJournalConfigs(Map<String,EventJournalConfig> eventJournalConfigs)

      Sets the map of cache event journal configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `eventJournalConfigs` - the cache event journal configuration map to set
      Returns:
        this config instance

    - #### getMapMerkleTreeConfigs

          public Map<String,MerkleTreeConfig> getMapMerkleTreeConfigs()

      Returns the map of map merkle tree configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the map merkle tree configurations mapped by config name

    - #### setMapMerkleTreeConfigs

          public Config setMapMerkleTreeConfigs(Map<String,MerkleTreeConfig> merkleTreeConfigs)

      Sets the map of map merkle configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `merkleTreeConfigs` - the map merkle tree configuration map to set
      Returns:
        this config instance

    - #### getSerializationConfig

          public SerializationConfig getSerializationConfig()

      Returns the serialization configuration for this hazelcast instance. The serialization configuration defines how objects are serialized and deserialized on this instance.
      Returns:
        the serialization configuration

    - #### setSerializationConfig

          public Config setSerializationConfig(SerializationConfig serializationConfig)

      Sets the serialization configuration for this hazelcast instance. The serialization configuration defines how objects are serialized and deserialized on this instance.
      Parameters:
        `serializationConfig` - the serialization configuration
      Returns:
        this config instance

    - #### getPartitionGroupConfig

          public PartitionGroupConfig getPartitionGroupConfig()

      Returns the partition group configuration for this hazelcast instance. The partition group configuration defines how partitions are mapped to members.
      Returns:
        the partition group configuration

    - #### setPartitionGroupConfig

          public Config setPartitionGroupConfig(PartitionGroupConfig partitionGroupConfig)

      Sets the partition group configuration for this hazelcast instance. The partition group configuration defines how partitions are mapped to members.
      Parameters:
        `partitionGroupConfig` - the partition group configuration
      Returns:
        this config instance

    - #### getHotRestartPersistenceConfig

          public HotRestartPersistenceConfig getHotRestartPersistenceConfig()

      Returns the Hot Restart configuration for this hazelcast instance
      Returns:
        hot restart configuration

    - #### setHotRestartPersistenceConfig

          public Config setHotRestartPersistenceConfig(HotRestartPersistenceConfig hrConfig)

      Sets the Hot Restart configuration.
      Parameters:
        `hrConfig` - Hot Restart configuration
      Returns:
        this config instance
      Throws:
        `NullPointerException` - if the `hrConfig` parameter is `null`

    - #### getCRDTReplicationConfig

          public CRDTReplicationConfig getCRDTReplicationConfig()

    - #### setCRDTReplicationConfig

          public Config setCRDTReplicationConfig(CRDTReplicationConfig crdtReplicationConfig)

      Sets the replication configuration for `CRDT` implementations.
      Parameters:
        `crdtReplicationConfig` - the replication configuration
      Returns:
        this config instance
      Throws:
        `NullPointerException` - if the `crdtReplicationConfig` parameter is `null`

    - #### getManagedContext

          public ManagedContext getManagedContext()

      Returns the external managed context. This context is used to initialize user supplied objects.
      Returns:
        the managed context

    - #### setManagedContext

          public Config setManagedContext(ManagedContext managedContext)

      Sets the external managed context. This context is used to initialize user supplied objects.
      Parameters:
        `managedContext` - the managed context
      Returns:
        this config instance

    - #### getUserContext

          public ConcurrentMap<String,Object> getUserContext()

      Returns the user supplied context. This context can then be obtained from an instance of `HazelcastInstance`.
      Returns:
        the user supplied context
      See Also:
        `HazelcastInstance.getUserContext()`

    - #### setUserContext

          public Config setUserContext(ConcurrentMap<String,Object> userContext)

      Sets the user supplied context. This context can then be obtained from an instance of `HazelcastInstance`.
      Parameters:
        `userContext` - the user supplied context
      Returns:
        this config instance
      See Also:
        `HazelcastInstance.getUserContext()`

    - #### getNativeMemoryConfig

          public NativeMemoryConfig getNativeMemoryConfig()

      Returns the native memory configuration for this hazelcast instance. The native memory configuration defines the how native memory is used and the limits on its usage.
      Returns:
        the native memory configuration

    - #### setNativeMemoryConfig

          public Config setNativeMemoryConfig(NativeMemoryConfig nativeMemoryConfig)

      Sets the native memory configuration for this hazelcast instance. The native memory configuration defines the how native memory is used and the limits on its usage.
      Parameters:
        `nativeMemoryConfig` - the native memory configuration
      Returns:
        this config instance

    - #### getConfigurationUrl

          public URL getConfigurationUrl()

      Returns the `URL` to the declarative configuration, which has been parsed to create this `Config` instance.
      Returns:
        the configuration URL if the configuration loaded from a URL or `null` otherwise

    - #### setConfigurationUrl

          public Config setConfigurationUrl(URL configurationUrl)

      Sets the `URL` from which this configuration has been retrieved and created.

      Is set by the `XmlConfigBuilder`, when the XML configuration was retrieved from a URL.

      Parameters:
        `configurationUrl` - the configuration URL to set
      Returns:
        this config instance

    - #### getConfigurationFile

          public File getConfigurationFile()

      Returns the `File` to the declarative configuration, which has been parsed to create this `Config` instance.
      Returns:
        the configuration file if the configuration loaded from a file or `null` otherwise

    - #### setConfigurationFile

          public Config setConfigurationFile(File configurationFile)

      Sets the `File` from which this configuration has been retrieved and created.

      Is set by the `XmlConfigBuilder`, when the XML configuration was retrieved from a file.

      Parameters:
        `configurationFile` - the configuration file to set

    - #### getLicenseKey

          public String getLicenseKey()

      Returns the license key for this hazelcast instance. The license key is used to enable enterprise features.
      Returns:
        the license key
      Throws:
        `SecurityException` - If a security manager exists and the calling method doesn't have corresponding `HazelcastRuntimePermission`

    - #### setLicenseKey

          public Config setLicenseKey(String licenseKey)

      Sets the license key for this hazelcast instance. The license key is used to enable enterprise features.
      Parameters:
        `licenseKey` - the license key
      Returns:
        this config instance

    - #### isLiteMember

          public boolean isLiteMember()

      Returns `true` if this member is a lite member. A lite member does not own any partitions.
      Returns:
        `true` if this member is a lite member

    - #### setLiteMember

          public Config setLiteMember(boolean liteMember)

      Sets the flag to indicate if this member is a lite member. A lite member does not own any partitions.
      Parameters:
        `liteMember` - if this member is a lite member
      Returns:
        this config instance

    - #### getUserCodeDeploymentConfig

          public UserCodeDeploymentConfig getUserCodeDeploymentConfig()

      Get current configuration of User Code Deployment.
      Returns:
        User Code Deployment configuration
      Since:
        3.8

    - #### setUserCodeDeploymentConfig

          public Config setUserCodeDeploymentConfig(UserCodeDeploymentConfig userCodeDeploymentConfig)

      Set User Code Deployment configuration
      Parameters:
        `userCodeDeploymentConfig` - the user code deployment configuration
      Returns:
        this config instance
      Since:
        3.8

    - #### getAdvancedNetworkConfig

          public AdvancedNetworkConfig getAdvancedNetworkConfig()

    - #### setAdvancedNetworkConfig

          public Config setAdvancedNetworkConfig(AdvancedNetworkConfig advancedNetworkConfig)

    - #### getCPSubsystemConfig

          public CPSubsystemConfig getCPSubsystemConfig()

      Get current configuration for the CP subsystem
      Returns:
        CP subsystem configuration
      Since:
        3.12

    - #### setCPSubsystemConfig

          public Config setCPSubsystemConfig(CPSubsystemConfig cpSubsystemConfig)

      Set CP subsystem configuration
      Parameters:
        `cpSubsystemConfig` - the CP subsystem configuration
      Returns:
        this config instance
      Since:
        3.12

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.